Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 135380 - performance problem in output window due to unneeded flush
performance problem in output window due to unneeded flush
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Thomas Preisler
issues@cnd
61fixes2-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 20:30 UTC by Thomas Preisler
Modified: 2008-07-10 15:03 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Preisler 2008-05-19 20:30:59 UTC
The output.flush() in run() in NativeExecution is not needed and slows down output.
Comment 1 Thomas Preisler 2008-05-19 20:49:59 UTC
Fixed:

changeset ea6f8abc41b3 in main
details: http://hg.netbeans.org/main?cmd=changeset;node=ea6f8abc41b3
description:
	135380 performance problem in output window due to unneeded flush
Comment 2 Alexander Pepin 2008-05-20 16:01:47 UTC
verified in build 20080520
Comment 3 jinb 2008-06-02 14:30:07 UTC
fix backported into release61_fixes branch
http://hg.netbeans.org/release61_fixes/rev/a3ec8e061471
Comment 4 Thomas Preisler 2008-07-09 00:55:06 UTC
Removing SSIDE keyword. Fix has been integrated into SS.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo